---
agentTools:
  projectIndex: https://velodrome.readme.io/llms.txt
---

# Customer Signup

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.velodro.me"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/signup": {
      "post": {
        "summary": "Customer Signup",
        "description": "",
        "operationId": "customer-signup",
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "required": [
                  "name",
                  "email",
                  "password",
                  "phone",
                  "city"
                ],
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Your full name"
                  },
                  "email": {
                    "type": "string",
                    "description": "Your email address"
                  },
                  "password": {
                    "type": "string",
                    "description": "Your desired password"
                  },
                  "phone": {
                    "type": "string",
                    "description": "Your phone number (including international prefix)"
                  },
                  "city": {
                    "type": "string",
                    "description": "Your city (must be a city Velodrome is available in)"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"code\": 201,\n  \"message\": \"user_created\",\n  \"details\": \"The account has successfully been created.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 201,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "user_created"
                    },
                    "details": {
                      "type": "string",
                      "example": "The account has successfully been created."
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X POST -H \"Content-Type: multipart/form-data\" -F \"name=Velodrome Demo\" -F \"email=demo@velodro.me\" -F \"password=123\" -F \"phone=+353 87 654 3210\" -F \"city=dublin\" 'https://api.velodro.me/signup'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62f5492ba9a190571935962b:563cc270d8f2d20d00448c97"
}
```